Xerces-C++: DOMError Class Reference

Xerces-C++ 3.3.0

List of all members
DOMError Class Referenceabstract

DOMError is an interface that describes an error. More...

`#include <xercesc/dom/DOMError.hpp>`

## Public Types
Public constants
enum | ErrorSeverity { DOM_SEVERITY_WARNING = 1 , DOM_SEVERITY_ERROR = 2 , DOM_SEVERITY_FATAL_ERROR = 3 }
| The severity of the error described by the `DOMError`. More...

## Public Member Functions
Destructor
virtual | ~DOMError ()
| Destructor.
Functions introduced in DOM Level 3
virtual ErrorSeverity | getSeverity () const =0
| Get the severity of the error.
virtual const XMLCh * | getMessage () const =0
| Get the message describing the error that occured.
virtual DOMLocator * | getLocation () const =0
| Get the location of the error.
virtual void * | getRelatedException () const =0
| The related platform dependent exception if any.
virtual const XMLCh * | getType () const =0
| A `XMLCh*` indicating which related data is expected in relatedData.
virtual void * | getRelatedData () const =0
| The related DOMError::getType dependent data if any.

## Protected Member Functions
Hidden constructors
| DOMError ()

## Detailed Description

DOMError is an interface that describes an error.

See also
  DOMErrorHandler::handleError

Since
  DOM Level 3

## Member Enumeration Documentation

## ◆ ErrorSeverity

enum DOMError::ErrorSeverity

The severity of the error described by the `DOMError`.

`DOM_SEVERITY_ERROR:` The severity of the error described by the `DOMError` is error. A DOM_SEVERITY_ERROR may not cause the processing to stop if the error can be recovered, unless `DOMErrorHandler::handleError()` returns false.

`DOM_SEVERITY_FATAL_ERROR` The severity of the error described by the `DOMError` is fatal error. A DOM_SEVERITY_FATAL_ERROR will cause the normal processing to stop. The return value of `DOMErrorHandler::handleError()` is ignored unless the implementation chooses to continue, in which case the behavior becomes undefined.

`DOM_SEVERITY_WARNING` The severity of the error described by the `DOMError` is warning. A DOM_SEVERITY_WARNING will not cause the processing to stop, unless `DOMErrorHandler::handleError()` returns false.

Since
  DOM Level 3

Enumerator
DOM_SEVERITY_WARNING |
DOM_SEVERITY_ERROR |
DOM_SEVERITY_FATAL_ERROR |

## Constructor & Destructor Documentation

## ◆ DOMError()

DOMError::DOMError | ( |  | ) |
| protected

## ◆ ~DOMError()

virtual DOMError::~DOMError | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getLocation()

virtual DOMLocator * DOMError::getLocation | ( |  | ) | const
| pure virtual

Get the location of the error.

Since
  DOM Level 3

## ◆ getMessage()

virtual const XMLCh * DOMError::getMessage | ( |  | ) | const
| pure virtual

Get the message describing the error that occured.

Since
  DOM Level 3

## ◆ getRelatedData()

virtual void * DOMError::getRelatedData | ( |  | ) | const
| pure virtual

The related DOMError::getType dependent data if any.

Since
  DOM Level 3

## ◆ getRelatedException()

virtual void * DOMError::getRelatedException | ( |  | ) | const
| pure virtual

The related platform dependent exception if any.

Since
  DOM Level 3

## ◆ getSeverity()

virtual ErrorSeverity DOMError::getSeverity | ( |  | ) | const
| pure virtual

Get the severity of the error.

See also
  setSeverity

Since
  DOM Level 3

## ◆ getType()

virtual const XMLCh * DOMError::getType | ( |  | ) | const
| pure virtual

A `XMLCh*` indicating which related data is expected in relatedData.

Users should refer to the specification of the error in order to find its `XMLCh*` type and relatedData definitions if any.

Note: As an example, `DOMDocument::normalizeDocument()` does generate warnings when the "split-cdata-sections" parameter is in use. Therefore, the method generates a DOM_SEVERITY_WARNING with type "cdata-sections-splitted" and the first `DOMCDATASection` node in document order resulting from the split is returned by the relatedData attribute.

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMError.hpp